Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.Orientation

    java.lang.Object
      java.lang.Enum<Qt.Orientation>
          com.trolltech.qt.core.Qt.Orientation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.Orientation>

Enclosing interface:
  Qt

    public static enum Qt.Orientation

extends java.lang.Enum<Qt.Orientation>
implements QtEnumerator

This type is used to signify an object's orientation.

Orientation is used with `QScrollBar` for example.

Enum Constant Summary
`Horizontal` Internal.
`Vertical` Internal.

Method Summary
`static Qt.Orientations` | `createQFlags(Qt.Orientation... values)`
`static Qt.Orientation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Horizontal

    public static final Qt.Orientation Horizontal

  Internal.

### Vertical

    public static final Qt.Orientation Vertical

  Internal.

Method Detail

### values

    public static final Qt.Orientation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.Orientation c : Qt.Orientation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.Orientation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.Orientations createQFlags(Qt.Orientation... values)

### resolve

    public static Qt.Orientation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD